<template>
  <div class="comment_box" :class="{'none_icon': !value.msg}">
    <span class="text_ct">
      {{ value.name }}
      <div class="icon" :class="{'none_icon': !value.msg}">
            <div class="box" v-if="value.msg">
              {{ value.msg }}
            </div>
      </div>
    </span>

  </div>
</template>
<script>
export default {
  data () {
    return {}
  },
  props: {
    value: {
      type: Object,
      default () {
        return {
          name: 'hello',
          msg: `
          36氪获悉，特斯拉中国官网显示，中国制造Model 3标准续航升级版和长续航版售价分别上涨4500元和5000元，目前Model 3标准续航升级版补贴后售价为30.355万元，长续航版为34.405万元。
          `
        }
      }
    }
  },
  methods: {

  }
}
</script>
<style lang="stylus" scoped="true">
.comment_box
  cursor pointer
  .text_ct
    display flex
    align-items center
    color #333
  .icon
    position relative
    display block
    width 13px
    height 12px
    margin-left 5px
    background-size contain
    background-repeat no-repeat
  .none_icon
    opacity 0.4
  .box
    position absolute
    left 0px
    display none
    box-shadow 0px 8px 33px 2px rgba(0, 0, 0, 0.08);
    background-color #fff
    padding 8px 10px
    line-height 17px
    font-size 12px
    min-width 200px
    top 13px
  &:hover
    .box
      display block
    .text_ct
      color #000
</style>